package com.inca.npbusi.credit_adjust;

import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.DataCommand;
import com.inca.np.communicate.ParamCommand;
import com.inca.np.communicate.ServerResponse;
import com.inca.np.communicate.StringCommand;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CDetailModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.util.SendHelper;
import com.inca.npx.mde.CMdeModelAp;
import com.inca.npx.ste.Apinfo;
import java.util.Vector;
import org.apache.log4j.Category;

public class CreditAdjust_mde extends CMdeModelAp {
   public Vector<Apinfo> getParamapinfos() {
      Vector var1;
      (var1 = new Vector()).add(new Apinfo("默认调整类型", ""));
      var1.add(new Apinfo("调整项目", ""));
      var1.add(new Apinfo("执行", ""));
      var1.add(new Apinfo("执行全部", ""));
      var1.add(new Apinfo("手工确定", ""));
      var1.add(new Apinfo("回退手工确定", ""));
      return var1;
   }

   public CreditAdjust_mde(CFrame var1, String var2) {
      super(var1, var2);
      Category.getInstance(CreditAdjust_mde.class);
   }

   protected CDetailModel createDetailmodel() {
      return new CreditAdjust_detail(this.frame, this);
   }

   protected CMasterModel createMastermodel() {
      return new CreditAdjust_master(this.frame, this);
   }

   public String getDetailRelatecolname() {
      return "Credit_adjust_doc_id";
   }

   public String getMasterRelatecolname() {
      return "Credit_adjust_doc_id";
   }

   public String getSaveCommandString() {
      return "sa.CreditAdjust.保存";
   }

   protected int on_actionPerformed(String var1) {
      if (var1.equals("手工确定")) {
         if (!"1".equals(this.getApvalue("手工确定"))) {
            this.infoMessage("提示", "你没有此操作权限");
            return -1;
         }

         CreditAdjust_mde var2 = this;
         if (this.getDetailModel().getTable().getSelectedRows().length <= 0) {
            this.infoMessage("提示信息", "请选择您要选择的单据！");
         } else if (this.getDetailModel().getModifiedDbmodel().getRowCount() <= 0 && this.getMasterModel().getModifiedDbmodel().getRowCount() <= 0) {
            ParamCommand var3;
            (var3 = new ParamCommand()).addParam("action", "手工确定");
            DataCommand var4 = this.a();
            ClientRequest var5;
            (var5 = new ClientRequest("sa.CreditAdjust.后台服务")).addCommand(var3);
            var5.addCommand(var4);

            try {
               ServerResponse var11;
               StringCommand var13;
               if (!(var13 = (StringCommand)(var11 = SendHelper.sendRequest(var5)).commandAt(0)).getString().startsWith("+")) {
                  throw new Exception(var13.getString());
               }

               DBTableModel var12 = ((DataCommand)var11.commandAt(1)).getDbmodel();

               for(int var14 = 0; var14 < var12.getRowCount(); ++var14) {
                  String var15 = var12.getItemValue(var14, "credit_adjust_dtl_id");
                  String var6 = var12.getItemValue(var14, "msg");
                  String var7 = var12.getItemValue(var14, "resultStatus");

                  for(int var8 = 0; var8 < var2.getDetailModel().getRowCount(); ++var8) {
                     String var9 = var2.getDetailModel().getItemValue(var8, "credit_adjust_dtl_id");
                     if (var15.equals(var9)) {
                        if (var7.equals("1")) {
                           var2.getDetailModel().setItemValue(var8, "useStatus", "3");
                        }

                        var2.getDetailModel().setdbStatus(var8, 0);
                        var2.getDetailModel().getDBtableModel().getRecordThunk(var8).setSaveresult(var7.equals("1") ? 0 : 1, var6);
                     }
                  }
               }
            } catch (Exception var10) {
               this.infoMessage("确定操作失败", var10.getMessage());
            }
         } else {
            this.infoMessage("提示信息", "有数据没有保存，请先保存再手工确定！");
         }
      } else if (var1.equals("回退手工确定")) {
         if (!"1".equals(this.getApvalue("回退手工确定"))) {
            this.infoMessage("提示", "你没有此操作权限");
            return -1;
         }

         this.b();
      }

      return super.on_actionPerformed(var1);
   }

   private DataCommand a() {
      DataCommand var1 = new DataCommand();
      Vector var2 = new Vector();
      DBColumnDisplayInfo var3 = new DBColumnDisplayInfo("credit_adjust_dtl_id", "number");
      var2.add(var3);
      var3 = new DBColumnDisplayInfo("resultStatus", "varchar");
      var2.add(var3);
      var3 = new DBColumnDisplayInfo("msg", "varchar");
      var2.add(var3);
      DBTableModel var5 = new DBTableModel(var2);
      int[] var6 = this.getDetailModel().getTable().getSelectedRows();

      for(int var4 = 0; var4 < var6.length; ++var4) {
         var5.appendRow();
         var5.setItemValue(var4, "credit_adjust_dtl_id", this.getDetailModel().getItemValue(var6[var4], "credit_adjust_dtl_id"));
      }

      var1.setDbmodel(var5);
      return var1;
   }

   private void b() {
      if (this.getDetailModel().getTable().getSelectedRows().length <= 0) {
         this.infoMessage("提示信息", "请选择您要选择的单据！");
      } else if (this.getDetailModel().getModifiedDbmodel().getRowCount() <= 0 && this.getMasterModel().getModifiedDbmodel().getRowCount() <= 0) {
         ParamCommand var1;
         (var1 = new ParamCommand()).addParam("action", "回退手工确定");
         DataCommand var2 = this.a();
         ClientRequest var3;
         (var3 = new ClientRequest("sa.CreditAdjust.后台服务")).addCommand(var1);
         var3.addCommand(var2);

         try {
            ServerResponse var9;
            StringCommand var11;
            if (!(var11 = (StringCommand)(var9 = SendHelper.sendRequest(var3)).commandAt(0)).getString().startsWith("+")) {
               throw new Exception(var11.getString());
            } else {
               DBTableModel var10 = ((DataCommand)var9.commandAt(1)).getDbmodel();

               for(int var12 = 0; var12 < var10.getRowCount(); ++var12) {
                  String var13 = var10.getItemValue(var12, "credit_adjust_dtl_id");
                  String var4 = var10.getItemValue(var12, "msg");
                  String var5 = var10.getItemValue(var12, "resultStatus");

                  for(int var6 = 0; var6 < this.getDetailModel().getRowCount(); ++var6) {
                     String var7 = this.getDetailModel().getItemValue(var6, "credit_adjust_dtl_id");
                     if (var13.equals(var7)) {
                        if (var5.equals("1")) {
                           this.getDetailModel().setItemValue(var6, "useStatus", "1");
                        }

                        this.getDetailModel().setdbStatus(var6, 0);
                        this.getDetailModel().getDBtableModel().getRecordThunk(var6).setSaveresult(var5.equals("1") ? 0 : 1, var4);
                     }
                  }
               }

            }
         } catch (Exception var8) {
            this.infoMessage("回退手工确定操作失败", var8.getMessage());
         }
      } else {
         this.infoMessage("提示信息", "有数据没有保存，请先保存再回退手工确定！");
      }
   }
}
